name: Create Release
on: 
  push:
    tags:
    - '*'
jobs:
  build:
    runs-on: ubuntu-latest
    steps:
    - uses: https://gitea.com/actions/checkout@master
    - name: Zip Artifacts
      uses: https://github.com/thedoctor0/zip-release@master
      with:
        type: 'zip'
        filename: 'server.zip'
        exclusions: '*.git*'
    - name: Release Archive
      uses: https://gitea.com/actions/gitea-release-action@v1
      with:
        server_url: https://gitea.wpgcommunity.net
        files: 'server.zip'